MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031958Open CASCADE[OCCT] OCCT:Testspublic2020-11-25 15:162020-11-28 13:05
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0031958: Tests - testdiff shows empty Total Image difference
Descriptiontestdiff collects total image difference for image-only log, but not for cpu+memory+image log due to logical error.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0031227closedbugmaster Open CASCADE Tests - log number of compared images into report 

-  Notes
(0097072)
git (administrator)
2020-11-25 15:53

Branch CR31958 has been created by kgv.

SHA-1: 42fc58ae61068c06b64ec5120661086aee83c15e


Detailed log of new commits:

Author: kgv
Date: Wed Nov 25 15:18:01 2020 +0300

    0031958: Tests - testdiff shows empty Total Image difference
    
    stat(img1) counter is now incremented in case of total log.
    
    Renamed "Total Image difference" -> "Total IMAGE difference" for consistency with other output.
    
    Regexp inserting links to images now looks for "IMAGE ..." at the start of line
    to avoid misdetection on "Total IMAGE difference" line.
    _diff_show_positive_ratio() now prints image difference percents
    without leading empty space to highlight large deviations in RED.
    
    Image files having no match are now added to statistics as differences.
(0097075)
kgv (developer)
2020-11-25 17:27

Patch is ready for review
- OCCT branch: CR31958.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31958-master-KGV/ [^]
(0097084)
osa (developer)
2020-11-26 10:28

The patch was reviewed
(0097119)
bugmaster (administrator)
2020-11-28 12:45

Combination -
OCCT branch : IR-2020-11-27
master SHA - 765e5bc192b506e546ba77d881d4929dc0f69b1a
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-11-27 SHA - 17b49a570b557fbeb7326a4adb10fa231b058aed
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18049.94000000008 / 18024.44000000013 [+0.14%]
Products
Total CPU difference: 12325.960000000132 / 12167.95000000011 [+1.30%]
Windows-64-VC14:
OCCT
Total CPU difference: 19703.46875 / 19697.21875 [+0.03%]
Products
Total CPU difference: 13792.6875 / 13647.203125 [+1.07%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0097126)
git (administrator)
2020-11-28 13:05

Branch CR31958 has been deleted by inv.

SHA-1: 42fc58ae61068c06b64ec5120661086aee83c15e

- Related Changesets
occt: master 59069d3f
Timestamp: 2020-11-25 12:18:01
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031958: Tests - testdiff shows empty Total Image difference

stat(img1) counter is now incremented in case of total log.

Renamed "Total Image difference" -> "Total IMAGE difference" for consistency with other output.

Regexp inserting links to images now looks for "IMAGE ..." at the start of line
to avoid misdetection on "Total IMAGE difference" line.
_diff_show_positive_ratio() now prints image difference percents
without leading empty space to highlight large deviations in RED.

Image files having no match are now added to statistics as differences.
mod - src/DrawResources/TestCommands.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-11-25 15:16 kgv New Issue
2020-11-25 15:16 kgv Assigned To => kgv
2020-11-25 15:18 kgv Relationship added child of 0031227
2020-11-25 15:53 git Note Added: 0097072
2020-11-25 16:03 kgv Relationship added related to 0031960
2020-11-25 17:27 kgv Note Added: 0097075
2020-11-25 17:27 kgv Assigned To kgv => osa
2020-11-25 17:27 kgv Status new => resolved
2020-11-26 10:28 osa Note Added: 0097084
2020-11-26 10:28 osa Assigned To osa => bugmaster
2020-11-26 10:28 osa Status resolved => reviewed
2020-11-28 12:45 bugmaster Note Added: 0097119
2020-11-28 12:45 bugmaster Status reviewed => tested
2020-11-28 12:55 bugmaster Test case number => Not required
2020-11-28 12:59 bugmaster Changeset attached => occt master 59069d3f
2020-11-28 12:59 bugmaster Status tested => verified
2020-11-28 12:59 bugmaster Resolution open => fixed
2020-11-28 13:05 git Note Added: 0097126


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker